Skip to main content
`Ctrl`+`K`

# STShellSetApply

Sets routine to use as the application of the operator to a vector in the user-defined spectral transformation.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STShellSetApply(ST st,STShellApplyFn *apply)

Logically Collective

## Input Parameters

- st - the spectral transformation context

- apply - the application-provided transformation routine

## See Also

ST: Spectral Transformation, `STSHELL`, `STShellSetBackTransform()`, `STShellSetApplyTranspose()`, `STShellSetApplyHermitianTranspose()`

## Level

advanced

## Location

src/sys/classes/st/impls/shell/shell.c

## Examples

src/eps/tutorials/ex10.c
src/eps/tutorials/ex35.c
src/eps/tutorials/ex10f.F90
src/eps/tutorials/ex36.c

## Implementations

STShellSetApply_Shell() in src/sys/classes/st/impls/shell/shell.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages